# By ideology of subject
# Calculate means

gm <- groupMeans(df=cces[cces$in_pre == 1,],
                 byvars=c("z_diagnosis", "rc_ideo3"), 
                 vars="deserve")

gm$rc_ideo3_lab <- ifelse(gm$rc_ideo3 == "1:Liberal", "Liberal", ifelse(gm$rc_ideo3 == "3:Conservative", "Conservative", "Moderate/DK"))
gm$rc_ideo3_lab <- factor(gm$rc_ideo3_lab, levels=c("Liberal", "Moderate/DK", "Conservative"))

gm_line <- gm[gm$rc_ideo3_lab %in% c("Liberal","Conservative"), c("z_diagnosis", "m", "rc_ideo3_lab")]
gm_line$x_shift <- ifelse(gm_line$rc_ideo3_lab == "Liberal", -.1 , .1 )
gm_line$x_coord <- rep(NA, nrow(gm_line))
gm_line$x_coord <- ifelse(gm_line$z_diagnosis == levels(gm_line$z_diagnosis)[1], 1, gm_line$x_coord)
gm_line$x_coord <- ifelse(gm_line$z_diagnosis == levels(gm_line$z_diagnosis)[2], 2, gm_line$x_coord)
gm_line$x_coord <- ifelse(gm_line$z_diagnosis == levels(gm_line$z_diagnosis)[3], 3, gm_line$x_coord)
gm_line$x_coord <- ifelse(gm_line$z_diagnosis == levels(gm_line$z_diagnosis)[4], 4, gm_line$x_coord)
gm_line$x_coord <- ifelse(gm_line$z_diagnosis == levels(gm_line$z_diagnosis)[5], 5, gm_line$x_coord)

# Plot
ggplot(gm, aes(x=z_diagnosis, y=m, group=rc_ideo3_lab, shape=rc_ideo3_lab, colour=rc_ideo3_lab)) + 
  geom_point(size=3, position=position_dodge(.3)) +
  geom_errorbar(aes(ymin=lci, ymax=uci), width=.15, position=position_dodge(.3)) +
  geom_line(data=gm_line, aes(x=x_coord+x_shift, y=m, group=z_diagnosis), colour="#333333") +
  coord_cartesian(ylim=ylim_range) +
  geom_hline(yintercept=0, lty=2, lwd=1.5, colour="#33333380") +
  scale_colour_manual(name="Subject's Ideology", values=c("#a6611a", "#dfc27d", "#888888", "#80cdc1", "#018571")) + 
  scale_shape_manual(name="Subject's Ideology", values=c(15,16,17,1,2)) +
  xlab("Medical Impairment") + ylab("Agreement with Gov Decision to Grant SSDI Benefits\n(-2=Strongly Disagree, 2=Strongly Agree)") +
  theme_bw() + theme(legend.position="bottom") 
ggsave("appendix_figureA3.pdf", width=7, height=5)

