
gm <- lucid19 %>%
  group_by(pid3) %>%
  do(tidy(lm_robust(fh_agree ~ -1 + fh_race, data = ., se_type = "classical"))) %>%
  mutate(term = gsub("fh_race", "", term, fixed=TRUE))

ggplot(gm, aes(x = term, y = estimate)) +
  geom_hline(yintercept = 0, lty = 2) +
  geom_point(size = 3) +
  geom_errorbar(aes(ymin = conf.low, ymax = conf.high), width = 0.1) +
  xlab("SSDI Recipient's Race") +
  ylab("Agrees Recipient Should Receive SSDI\n(-2 strongly disagree - 2 strongly agree)") +
  facet_wrap(~ pid3, ncol = 3) +
  theme_bw(base_size = 15) +
  theme(legend.position = "bottom")
ggsave("appendix_figureA9.pdf", height=4, width=9)

