
cces$z_diagnosis <- as.factor(cces$z_diagnosis)

# Relevel race of recipient variable

with(lucid19, table(fh_race, exclude=NULL))
lucid19 $fh_race <- factor(lucid19 $fh_race, levels = c("white", "African American"))
with(lucid19, table(fh_race, exclude=NULL))

# Relevel diagnosis of recipient variable

with(lucid19, table(fh_diagnosis, exclude=NULL))
lucid19 $fh_diagnosis <- recode(lucid19 $fh_diagnosis,
                                'suffered a stroke that led to him becoming intellectually disabled' = 'stroke',
                                'was diagnosed with a mood disorder' = 'mood disorder',
                                'was injured on the job' = 'job injury')
lucid19$fh_diagnosis <- factor(lucid19 $fh_diagnosis, levels = c('job injury', 'mood disorder', 'stroke'))
with(lucid19, table(fh_diagnosis, exclude=NULL))

# Turn fh_agree into numeric

table(lucid19$fh_agree, exclude=NULL)
lucid19$fh_agree <- recode(lucid19$fh_agree, 
                     'Strongly agree' = 2,
                     'Agree' = 1,
                     'Neither agree nor disagree' = 0,
                     'Disagree' = -1,
                     'Strongly disagree' = -2)


# DVs for Experiment 2 (CCES - Appeal effects)
Ys <- c("att_nonsevere_ineligible",
        "att_ssdi_canwork_majprob",
        "att_encourage_work_if_can",
        "att_allow_earnmore_incthres",
        "att_require_employer_prov",
        "att_fedgov_spendtoomuch")

