
sumstats_pre <- rbind(sumstats_continuous(df=cces[cces$in_pre == 1,], x="age"),
                      c("", "Gender:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="gender"),
                      c("", "Party ID:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="rc_pid3"),
                      c("", "Ideology:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="rc_ideo5"),
                      c("", "Registered Voter?:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="votereg"),
                      c("", "Highest Education Attained:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="educ"),
                      c("", "Race:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="race"),
                      c("", "Hispanic origin:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="hispanic"),
                      c("", "Marital status:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="marstat"),
                      c("", "Employment status:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="employ"),
                      c("", "Homeownership status:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="ownhome"),
                      c("", "Union member:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="union"),
                      c("", "Union household:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="unionhh"),
                      c("", "Family income:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="faminc"),
                      c("", "Immigration status:", "", ""),
                      sumstats_categorical(df=cces[cces$in_pre == 1,], x="immstat")
)


sumstats_post <- rbind(sumstats_continuous(df=cces[cces$in_post == 1,], x="age"),
                       c("", "Gender:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="gender"),
                       c("", "Party ID:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="rc_pid3"),
                       c("", "Ideology:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="rc_ideo5"),
                       c("", "Registered Voter?:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="votereg"),
                       c("", "Highest Education Attained:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="educ"),
                       c("", "Race:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="race"),
                       c("", "Hispanic origin:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="hispanic"),
                       c("", "Marital status:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="marstat"),
                       c("", "Employment status:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="employ"),
                       c("", "Homeownership status:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="ownhome"),
                       c("", "Union member:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="union"),
                       c("", "Union household:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="unionhh"),
                       c("", "Family income:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="faminc"),
                       c("", "Immigration status:", "", ""),
                       sumstats_categorical(df=cces[cces$in_post == 1,], x="immstat")
)


# Read in CCES - Common Content data
cces_common <- read.dta("CCES16_Common_OUTPUT_Jul2017_VV.dta", convert.factors=TRUE)

# create age variable in cces_common file
table(cces_common$birthyr, exclude=NULL)
cces_common$age <- 2016 - cces_common$birthyr
table(cces_common$age, exclude=NULL)

table(cces_common$gender, exclude=NULL)
cces_common$gender <- as.character(cces_common$gender)
table(cces_common$gender, exclude=NULL)

table(cces_common$pid3, exclude=NULL)
cces_common$rc_pid3 <- rep(NA, nrow(cces_common))
cces_common$rc_pid3 <- ifelse(cces_common$pid3 %in% c("Other", "Not sure", "Skipped", "Independent"), "Independent", cces_common$rc_pid3)
cces_common$rc_pid3 <- ifelse(cces_common$pid3 %in% c("Democrat"), "Democrat", cces_common$rc_pid3)
cces_common$rc_pid3 <- ifelse(cces_common$pid3 %in% c("Republican"), "Republican", cces_common$rc_pid3)
table(cces_common$rc_pid3, cces_common$pid3, exclude=NULL)

table(cces_common$ideo5, exclude=NULL)
cces_common$rc_ideo5 <- rep(NA, nrow(cces_common))
cces_common$rc_ideo5 <- ifelse(cces_common$ideo5 %in% c("Not sure", "Skipped", "Moderate"), "3:Moderate/DK", cces_common$rc_ideo5)
cces_common$rc_ideo5 <- ifelse(cces_common$ideo5 %in% c("Very liberal"), "1:Very Liberal", cces_common$rc_ideo5)
cces_common$rc_ideo5 <- ifelse(cces_common$ideo5 %in% c("Very conservative"), "5:Very Conservative", cces_common$rc_ideo5)
cces_common$rc_ideo5 <- ifelse(cces_common$ideo5 %in% c("Liberal"), "2:Liberal", cces_common$rc_ideo5)
cces_common$rc_ideo5 <- ifelse(cces_common$ideo5 %in% c("Conservative"), "4:Conservative", cces_common$rc_ideo5)
table(cces_common$rc_ideo5, cces_common$ideo5, exclude=NULL)

table(cces_common$votereg, exclude=NULL)
cces_common$votereg <- as.character(cces_common$votereg)
table(cces_common$votereg, exclude=NULL)

table(cces_common$educ, exclude=NULL)
cces_common$educ <- as.character(cces_common$educ)
table(cces_common$educ, exclude=NULL)

table(cces_common$race, exclude=NULL)
cces_common$race <- as.character(cces_common$race)
table(cces_common$race, exclude=NULL)

table(cces_common$hispanic, exclude=NULL)
cces_common$hispanic <- as.character(cces_common$hispanic)
cces_common$hispanic <- ifelse(cces_common$hispanic %in% c("Not Asked", "Skipped"), "Unknown if Hispanic", cces_common$hispanic)
table(cces_common$hispanic, exclude=NULL)

table(cces_common$marstat, exclude=NULL)
cces_common$marstat <- as.character(cces_common$marstat)
cces_common$marstat <- ifelse(cces_common$marstat %in% c("Not Asked", "Skipped"), "Unknown marital status", cces_common$marstat)
table(cces_common$marstat, exclude=NULL)

table(cces_common$employ, exclude=NULL)
cces_common$employ <- as.character(cces_common$employ)
table(cces_common$employ, exclude=NULL)

table(cces_common$ownhome, exclude=NULL)
cces_common$ownhome <- as.character(cces_common$ownhome)
cces_common$ownhome <- ifelse(cces_common$ownhome %in% c("Not Asked", "Skipped"), "Unknown", cces_common$ownhome)
table(cces_common$ownhome, exclude=NULL)

table(cces_common$union, exclude=NULL)
cces_common$union <- as.character(cces_common$union)
cces_common$union <- ifelse(cces_common$union %in% c("Not Asked", "Skipped"), "Unknown union status", cces_common$union)
table(cces_common$union, exclude=NULL)

table(cces_common$unionhh, exclude=NULL)
cces_common$unionhh <- as.character(cces_common$unionhh)
cces_common$unionhh <- ifelse(cces_common$unionhh %in% c("Not Asked", "Skipped"), "Unknown union household status", cces_common$unionhh)
table(cces_common$unionhh, exclude=NULL)

table(cces_common$faminc, exclude=NULL)
cces_common$faminc <- as.character(cces_common$faminc)
cces_common$faminc <- ifelse(cces_common$faminc %in% c("Not Asked", "Skipped"), "Prefer not to say", cces_common$faminc)
table(cces_common$faminc, exclude=NULL)

table(cces_common$immstat, exclude=NULL)
cces_common$immstat <- as.character(cces_common$immstat)
cces_common$immstat <- ifelse(cces_common$immstat %in% c("Not Asked", "Skipped"), "Unknown immigrant status", cces_common$immstat)
table(cces_common$immstat, exclude=NULL)

sumstats_cces_common <- rbind(sumstats_continuous(df=cces_common, x="age"),
                              c("", "Gender:", "", ""),
                              sumstats_categorical(df=cces_common, x="gender"),
                              c("", "Party ID:", "", ""),
                              sumstats_categorical(df=cces_common, x="rc_pid3"),
                              c("", "Ideology:", "", ""),
                              sumstats_categorical(df=cces_common, x="rc_ideo5"),
                              c("", "Registered Voter?:", "", ""),
                              sumstats_categorical(df=cces_common, x="votereg"),
                              c("", "Highest Education Attained:", "", ""),
                              sumstats_categorical(df=cces_common, x="educ"),
                              c("", "Race:", "", ""),
                              sumstats_categorical(df=cces_common, x="race"),
                              c("", "Hispanic origin:", "", ""),
                              sumstats_categorical(df=cces_common, x="hispanic"),
                              c("", "Marital status:", "", ""),
                              sumstats_categorical(df=cces_common, x="marstat"),
                              c("", "Employment status:", "", ""),
                              sumstats_categorical(df=cces_common, x="employ"),
                              c("", "Homeownership status:", "", ""),
                              sumstats_categorical(df=cces_common, x="ownhome"),
                              c("", "Union member:", "", ""),
                              sumstats_categorical(df=cces_common, x="union"),
                              c("", "Union household:", "", ""),
                              sumstats_categorical(df=cces_common, x="unionhh"),
                              c("", "Family income:", "", ""),
                              sumstats_categorical(df=cces_common, x="faminc"),
                              c("", "Immigration status:", "", ""),
                              sumstats_categorical(df=cces_common, x="immstat")
)



sumstats_post <- as.data.frame(sumstats_post, stringsAsFactors=FALSE)
sumstats_pre <- as.data.frame(sumstats_pre, stringsAsFactors=FALSE)
sumstats_cces_common <- as.data.frame(sumstats_cces_common, stringsAsFactors=FALSE)

dim(sumstats_post)
dim(sumstats_pre)
dim(sumstats_cces_common)

sumstats <- left_join(sumstats_pre, sumstats_post, by=c("Variable","Covariate"))
sumstats <- left_join(sumstats, sumstats_cces_common, by=c("Variable", "Covariate"))
#sumstats <- sumstats[,-1]

names(sumstats) <- c("Variable", "Covariate", "Mean (Pre)", "SE (Pre)", "Mean (Post)", "SE (Post)", "Mean (cces_common)", "SE (cces_common)")
sumstats$Covariate[1] <- "Age"

sumstats$Covariate <- ifelse(sumstats$Variable != "" & sumstats$Variable != "age",
                             paste0("\\hspace{1em} ", sumstats$Covariate),
                             sumstats$Covariate)

tab_a1 <- print(xtable(sumstats[,-1]), include.rownames=FALSE, sanitize.text.function = function(x) x)
tab_a1 <- unlist(strsplit(tab_a1, "\n", fixed=TRUE))
cat(tab_a1, file="appendix_tableA1.tex", sep="\n")

nrow(cces_common)
rm(cces_common)