
fit <- lapply(names(table(lucid19$pid3)), function(j){
  lm(fh_agree ~ fh_race, data = lucid19, subset = pid3 == j)
})

tab <- stargazer(fit,
                 covariate.labels = c("African American", "Constant"),
                 dep.var.caption = "DV: Agrees Recipient Should Receive SSDI",
                 dep.var.labels = "",
                 column.labels = names(table(lucid19$pid3)),
                 keep.stat = "n",
                 float = FALSE)

tab <- c(tab[-23],
         "\\begin{tablenotes}",
         "\\item $^{*}$p$<$0.1; $^{**}$p$<$0.05; $^{***}$p$<$0.01. Cells report unadjusted OLS estimates with standard errors in parentheses. The omitted reference category is the condition where the recipient is white.",
         "\\end{tablenotes}")

cat(tab, file="appendix_tableA19.tex", sep="\n")