
lucid17$pid3 <- rep("I", nrow(lucid17))
lucid17$pid3 <- ifelse(lucid17$dem_pid7 %in% c(-3,-2,-1), "D", lucid17$pid3)
lucid17$pid3 <- ifelse(lucid17$dem_pid7 %in% c(1, 2, 3), "R", lucid17$pid3)

covs <- names(lucid17)[grepl("^dem_", names(lucid17), perl=TRUE)]
covs <- covs[covs != "dem_pid7"]
covs <- covs[covs != "dem_alt_pid7"]
covs <- covs[covs != "dem_zip"]

for(i in 1:length(covs)) {
  cat("\n *****", covs[i], "*****\n")
  print(table(lucid17[[covs[i]]], exclude=NULL))
}

lucid17$dem_interest <- ifelse(is.na(lucid17$dem_interest), 99, lucid17$dem_interest)
lucid17$dem_ideology <- ifelse(is.na(lucid17$dem_ideology), 99, lucid17$dem_ideology)
lucid17$dem_state <- ifelse(is.na(lucid17$dem_state), 99, lucid17$dem_state)

lucid17$dem_edu_miss <- ifelse(is.na(lucid17$dem_education), 1, 0)

lucid17$dem_education <- ifelse(is.na(lucid17$dem_education), 99, lucid17$dem_education)


lucid17$dem_age_miss <- ifelse(is.na(lucid17$dem_age), 1, 0)
lucid17$dem_age <- ifelse(is.na(lucid17$dem_age), 99, lucid17$dem_age)

cat_vars <- c('dem_interest', 'dem_ideology', 'dem_state', 'dem_education', 'dem_hhincome')
for(i in 1:length(cat_vars)){
  lucid17[[cat_vars[i]]] <- as.factor(lucid17[[cat_vars[i]]])
}

covs <- c(covs, "dem_age_miss", "dem_edu_miss")


for(i in 1:length(covs)) {
  cat("\n *****", covs[i], "*****\n")
  print(table(lucid17[[covs[i]]], exclude=NULL))
}


#covs <- paste0(covs, collapse="+")
#covs



fit <- list( lm(av_deserve ~ pid3, data=lucid17) ,
             lm(av_deserve ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17) ,
             lm(av_deserve ~ pid3, data=lucid17, weights = weight) ,
             lm(av_deserve ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17, weights = weight) ,
             lm(av_work ~ pid3, data=lucid17) ,
             lm(av_work ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17) ,
             lm(av_work ~ pid3, data=lucid17, weights=weight) ,
             lm(av_work ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17, weights=weight) ,
             lm(couldwork100 ~ pid3, data=lucid17) ,
             lm(couldwork100 ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17),
             lm(couldwork100 ~ pid3, data=lucid17, weights=weight) ,
             lm(couldwork100 ~ pid3 + dem_interest+dem_ideology+dem_state+dem_mobile+dem_totalduration+dem_passedcolorscreener+dem_education+dem_raceblack+dem_raceother+dem_female+dem_hhincome+dem_hhincomemiss+dem_hispanic+dem_region_ne+dem_region_so+dem_region_we+dem_politicalknowledge+dem_registeredtovote+dem_voted2016+dem_votechoice2016+dem_age+dem_age_miss, data=lucid17, weights=weight)
)

fit_tab <- stargazer(fit,
                     keep=c("pid3I", "pid3R", "Constant"),
                     dep.var.labels = c("Deserve", "Could Work", "Num. Could Work"),
                     covariate.labels=c("Independent", "Republican", "Constant"),
                     keep.stat=c("n", "adj.rsq"),
                     add.lines=list(c("With Covariates?", rep(c("N","Y"), 6)),
                                    c("Weighted?", rep(c("N","N","Y","Y"), 3)   )),
                     float = FALSE)

cat(fit_tab, file="appendix_tableA7.tex", sep="\n")

